ApiFuseApiFuse
API Reference

택배 배송 추적 (전체 이벤트)

운송장 번호로 택배 배송 전체 이벤트 히스토리를 조회합니다.

택배 배송 추적 (전체 이벤트)

운송장 번호로 배송의 전체 이벤트 목록(시각, 상태, 위치)을 반환합니다.

엔드포인트

GET /v1/delivery-track

Upstream

  • Base URL: ``
  • Path: /tracking

요청 파라미터

파라미터타입필수기본값설명
carrier_idstring-택배사 ID. 지원: kr.cjlogistics, kr.hanjin, kr.lotte, kr.epost, kr.logen
tracking_numberstring-운송장 번호

요청 예시

{
  "carrier_id": "kr.cjlogistics",
  "tracking_number": "1234567890"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "carrier": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "name"
      ],
      "additionalProperties": false
    },
    "tracking_number": {
      "type": "string"
    },
    "status": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "enum": [
            "UNKNOWN",
            "INFORMATION_RECEIVED",
            "AT_PICKUP",
            "IN_TRANSIT",
            "OUT_FOR_DELIVERY",
            "ATTEMPT_FAIL",
            "DELIVERED",
            "AVAILABLE_FOR_PICKUP",
            "EXCEPTION"
          ]
        },
        "text": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "text"
      ],
      "additionalProperties": false
    },
    "events": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "time": {
            "type": "string",
            "description": "이벤트 시각 (ISO 8601)"
          },
          "status": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "enum": [
                  "UNKNOWN",
                  "INFORMATION_RECEIVED",
                  "AT_PICKUP",
                  "IN_TRANSIT",
                  "OUT_FOR_DELIVERY",
                  "ATTEMPT_FAIL",
                  "DELIVERED",
                  "AVAILABLE_FOR_PICKUP",
                  "EXCEPTION"
                ]
              },
              "text": {
                "type": "string"
              }
            },
            "required": [
              "id",
              "text"
            ],
            "additionalProperties": false
          },
          "location": {
            "anyOf": [
              {
                "type": "object",
                "properties": {
                  "name": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "name"
                ],
                "additionalProperties": false
              },
              {
                "type": "null"
              }
            ]
          },
          "description": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "required": [
          "time",
          "status",
          "location",
          "description"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "carrier",
    "tracking_number",
    "status",
    "events"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "carrier": {
      "id": "kr.cjlogistics",
      "name": "CJ대한통운"
    },
    "tracking_number": "1234567890",
    "status": {
      "id": "DELIVERED",
      "text": "배달완료"
    },
    "events": [
      {
        "time": "2026-03-24T10:00:00+09:00",
        "status": {
          "id": "IN_TRANSIT",
          "text": "이동중"
        },
        "location": {
          "name": "서울물류센터"
        },
        "description": "집화처리"
      },
      {
        "time": "2026-03-24T14:00:00+09:00",
        "status": {
          "id": "DELIVERED",
          "text": "배달완료"
        },
        "location": {
          "name": "강남구"
        },
        "description": "배달완료"
      }
    ]
  },
  "pagination": null,
  "meta": {
    "source": "delivery-track",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page